use Parallel::Benchmark;
use Furl;
my $bm = Parallel::Benchmark->new(
    setup => sub {
        my ($self) = @_;
        $self->stash->{ua} = Furl->new;
    },
    benchmark => sub {
        my ($self, $id) = @_;
        my $ua = $self->stash->{ua};
        my $sub_score = 0;
        if ($id == 1) {
            my $res = $ua->post(
                "http://example.com/comment",
                [], [ comment => "foo" ]
            );
            $sub_score++ if $res->is_success;
        }
        else {
            for my $path (qw/ list board1 board2 /) {
                my $res = $ua->get("http://example.com/$path");
                $sub_score++ if $res->is_success;
            }
        }
        return $sub_score;
    },
    teardown => sub {
        my ($self) = @_;
        delete $self->stash->{ua};
    },
    concurrency => 10,
    time => 60,
);
$bm->run;
